Intermittent browser/base/content/test/alerts/browser_notification_do_not_disturb.js | Test timed out -

NEW
Unassigned

Status

()

Toolkit
Notifications and Alerts
P2
normal
7 months ago
6 hours ago

People

(Reporter: aryx, Unassigned)

Tracking

(Blocks: 1 bug, {intermittent-failure, leave-open})

unspecified
mozilla58
intermittent-failure, leave-open
Points:
---

Firefox Tracking Flags

(firefox56 disabled, firefox57 disabled, firefox58 affected)

Details

(Whiteboard: [stockwell disabled])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments)

Another one of these notification or popup failures on Windows 7 VM taskcluster.

https://treeherder.mozilla.org/logviewer.html#?job_id=88125995&repo=autoland

03:32:21     INFO -  92 INFO TEST-START | browser/base/content/test/alerts/browser_notification_close.js
03:32:21     INFO -  GECKO(3736) | ++DOMWINDOW == 25 (19DDA800) [pid = 3736] [serial = 25] [outer = 1559F400]
03:32:21     INFO -  GECKO(3736) | ++DOCSHELL 1A70D000 == 11 [pid = 3736] [id = {7a902dbd-bf5e-46e6-879c-94c7b2063a54}]
03:32:21     INFO -  GECKO(3736) | ++DOMWINDOW == 26 (1A70DC00) [pid = 3736] [serial = 26] [outer = 00000000]
03:32:21     INFO -  GECKO(3736) | [3736] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/caps/BasePrincipal.cpp, line 380
03:32:21     INFO -  GECKO(3736) | ++DOMWINDOW == 27 (1A70F400) [pid = 3736] [serial = 27] [outer = 1A70DC00]
03:32:21     INFO -  GECKO(3736) | [3736] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/caps/BasePrincipal.cpp, line 380
03:32:21     INFO -  GECKO(3736) | [3736] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/caps/BasePrincipal.cpp, line 380
03:32:21     INFO -  GECKO(3736) | [3736] WARNING: Could not get disk status from nsIDiskSpaceWatcher: file z:/build/build/src/uriloader/prefetch/nsOfflineCacheUpdateService.cpp, line 284
03:32:21     INFO -  GECKO(3736) | ++DOMWINDOW == 28 (1AA2A400) [pid = 3736] [serial = 28] [outer = 1A70DC00]
03:32:21     INFO -  GECKO(3736) | [3736] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/xhr/XMLHttpRequestMainThread.cpp, line 2000
03:32:21     INFO -  GECKO(3736) | [3736] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/xhr/XMLHttpRequestMainThread.cpp, line 2000
03:32:22     INFO -  GECKO(3736) | [3736] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/xhr/XMLHttpRequestMainThread.cpp, line 2000
03:32:25     INFO -  GECKO(3736) | --DOCSHELL 0DD3A800 == 10 [pid = 3736] [id = {f69242d1-a4b4-4142-8516-7ac429532d46}]
03:32:27     INFO -  GECKO(3736) | --DOCSHELL 13FB6C00 == 9 [pid = 3736] [id = {5cbf839a-e390-450e-8ad8-f45e589f03d6}]
03:32:27     INFO -  GECKO(3736) | --DOCSHELL 0C69E400 == 8 [pid = 3736] [id = {6c6ec9b8-ab9d-4b95-9906-f7df0088c189}]
03:32:39     INFO -  GECKO(3736) | --DOMWINDOW == 27 (1A70F400) [pid = 3736] [serial = 27] [outer = 00000000] [url = about:blank]
03:32:39     INFO -  GECKO(3736) | --DOMWINDOW == 26 (155A1400) [pid = 3736] [serial = 24] [outer = 00000000] [url = about:blank]
03:32:39     INFO -  GECKO(3736) | --DOMWINDOW == 25 (0D117800) [pid = 3736] [serial = 14] [outer = 00000000] [url = about:blank]
03:32:39     INFO -  GECKO(3736) | --DOMWINDOW == 24 (11152400) [pid = 3736] [serial = 9] [outer = 00000000] [url = about:blank]
03:32:39     INFO -  GECKO(3736) | --DOMWINDOW == 23 (0DF65800) [pid = 3736] [serial = 4] [outer = 00000000] [url = about:blank]
03:32:41     INFO -  GECKO(3736) | --DOMWINDOW == 22 (0DD3A000) [pid = 3736] [serial = 8] [outer = 00000000] [url = chrome://gfxsanity/content/sanitytest.html]
03:32:41     INFO -  GECKO(3736) | --DOMWINDOW == 21 (0DD3AC00) [pid = 3736] [serial = 1] [outer = 00000000] [url = chrome://gfxsanity/content/sanityparent.html]
03:32:41     INFO -  GECKO(3736) | --DOMWINDOW == 20 (13FB7000) [pid = 3736] [serial = 13] [outer = 00000000] [url = about:blank]
03:32:44     INFO -  GECKO(3736) | --DOMWINDOW == 19 (0D10E000) [pid = 3736] [serial = 10] [outer = 00000000] [url = chrome://gfxsanity/content/sanitytest.html]
03:32:44     INFO -  GECKO(3736) | --DOMWINDOW == 18 (0DD3B000) [pid = 3736] [serial = 2] [outer = 00000000] [url = about:blank]
03:32:44     INFO -  GECKO(3736) | --DOMWINDOW == 17 (14007C00) [pid = 3736] [serial = 17] [outer = 00000000] [url = about:blank]
03:32:44     INFO -  GECKO(3736) | --DOMWINDOW == 16 (17A04800) [pid = 3736] [serial = 18] [outer = 00000000] [url = about:blank]
03:33:51     INFO -  TEST-INFO | started process screenshot
03:33:51     INFO -  TEST-INFO | screenshot: exit 0
03:33:51     INFO -  Buffered messages logged at 03:32:21
03:33:51     INFO -  93 INFO Entering test bound test_notificationClose
03:33:51     INFO -  Buffered messages finished
03:33:51    ERROR -  94 INFO TEST-UNEXPECTED-FAIL | browser/base/content/test/alerts/browser_notification_close.js | Test timed out -

Comment 1

6 months ago
5 failures in 894 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-release: 1
* mozilla-esr52: 1
* autoland: 1

Platform breakdown:
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-04-10&endday=2017-04-16&tree=all

Comment 2

5 months ago
5 failures in 879 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2

Platform breakdown:
* windows7-32-vm: 4
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-05-08&endday=2017-05-14&tree=all

Comment 3

5 months ago
5 failures in 777 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-beta: 2
* mozilla-central: 1

Platform breakdown:
* windows8-64: 4
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-05-15&endday=2017-05-21&tree=all

Comment 4

5 months ago
15 failures in 891 pushes (0.017 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 9
* mozilla-inbound: 3
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* windows7-32-vm: 12
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-05-22&endday=2017-05-28&tree=all

Comment 5

5 months ago
6 failures in 820 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* autoland: 2

Platform breakdown:
* windows7-32-vm: 4
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-05-29&endday=2017-06-04&tree=all

Comment 6

4 months ago
3 failures in 814 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 2
* try: 1

Platform breakdown:
* windows7-32-vm: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 7

4 months ago
2 failures in 892 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 2

Platform breakdown:
* windows8-64: 1
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 8

4 months ago
38 failures in 718 pushes (0.053 failures/push) were associated with this bug in the last 7 days. 

This is the #44 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-inbound: 17
* autoland: 13
* mozilla-central: 6
* mozilla-beta: 2

Platform breakdown:
* windows7-32-vm: 35
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-06-26&endday=2017-07-02&tree=all

Comment 9

3 months ago
11 failures in 656 pushes (0.017 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 7
* autoland: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32-vm: 10
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-07-03&endday=2017-07-09&tree=all
Whiteboard: [stockwell unknown]

Comment 10

3 months ago
7 failures in 720 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3

Platform breakdown:
* windows7-32: 6
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 11

3 months ago
3 failures in 822 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* pine: 1
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows8-64: 2
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 12

3 months ago
3 failures in 1008 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-07-24&endday=2017-07-30&tree=all
Duplicate of this bug: 1391436

Comment 14

2 months ago
16 failures in 160 pushes (0.1 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 8
* mozilla-beta: 6
* mozilla-inbound: 2

Platform breakdown:
* windows7-32: 9
* windows7-32-stylo: 3
* windows7-32-devedition: 3
* windows7-32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-08-18&endday=2017-08-18&tree=all

Comment 15

2 months ago
44 failures in 949 pushes (0.046 failures/push) were associated with this bug in the last 7 days. 

This is the #35 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 18
* mozilla-inbound: 13
* mozilla-beta: 8
* mozilla-central: 4
* try: 1

Platform breakdown:
* windows7-32: 28
* windows7-32-stylo: 5
* windows8-64: 4
* windows7-32-devedition: 4
* windows7-32-nightly: 2
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-08-14&endday=2017-08-20&tree=all
this is the second week in a row of high failures:
https://brasstacks.mozilla.com/orangefactor/index.html?display=Bug&bugid=1352791

heavily on win7 (opt/debug/pgo), not sure why 32 bit windows is problematic.  This has been lingering around pretty consistently a few times/week for the last 5 months.

:mattn, could you look into this or help find someone who knows about this test/code to look at it, ideally resolving it in the next week or two?
Flags: needinfo?(MattN+bmo)

Comment 17

2 months ago
55 failures in 908 pushes (0.061 failures/push) were associated with this bug in the last 7 days. 

This is the #36 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 31
* try: 10
* mozilla-inbound: 5
* mozilla-beta: 5
* mozilla-central: 4

Platform breakdown:
* windows7-32: 34
* windows7-32-stylo: 18
* windows7-32-nightly: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 18

2 months ago
79 failures in 939 pushes (0.084 failures/push) were associated with this bug in the last 7 days. 

This is the #26 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 41
* mozilla-central: 13
* mozilla-inbound: 12
* mozilla-beta: 11
* try: 2

Platform breakdown:
* windows7-32: 44
* windows7-32-stylo: 24
* windows8-64: 4
* windows7-32-nightly: 3
* windows7-32-devedition: 3
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-08-28&endday=2017-09-03&tree=all
Without a regression range I don't know anyone who has time to work on this in the next week. rs=me to disable on Windows debug builds as it may be a race condition.
Flags: needinfo?(MattN+bmo)
Priority: -- → P1
is it ok to disable on all of windows 7 instead- I see the latest trend showing a fairly equal distribution of opt/pgo/debug- still on windows 7 primarily
Flags: needinfo?(MattN+bmo)
Sure. Thanks
Flags: needinfo?(MattN+bmo)
Created attachment 8905434 [details] [diff] [review]
disable test on windows 7
Attachment #8905434 - Flags: review?(gbrown)

Updated

a month ago
Attachment #8905434 - Flags: review?(gbrown) → review+

Comment 23

a month ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/90c6c33b5604
Disable browser/base/content/test/alerts/browser_notification_do_not_disturb.js on windows 7. r=gbrown
Keywords: leave-open
Whiteboard: [stockwell unknown] → [stockwell disabled]
https://hg.mozilla.org/mozilla-central/rev/90c6c33b5604
https://hg.mozilla.org/releases/mozilla-beta/rev/2dee3996eee2
status-firefox56: --- → disabled
status-firefox57: --- → disabled

Comment 26

a month ago
15 failures in 924 pushes (0.016 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 8
* mozilla-inbound: 3
* try: 2
* mozilla-central: 2

Platform breakdown:
* windows7-32: 8
* windows7-32-stylo-disabled: 3
* windows8-64: 2
* windows7-32-stylo: 1
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-09-04&endday=2017-09-10&tree=all

Comment 27

a month ago
3 failures in 1032 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 28

24 days ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 29

20 days ago
23 failures in 195 pushes (0.118 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 14
* mozilla-inbound: 8
* mozilla-beta: 1

Platform breakdown:
* windows10-64: 14
* windows10-64-stylo-disabled: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-09-28&endday=2017-09-28&tree=all

Comment 30

18 days ago
16 failures in 33 pushes (0.485 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 8
* mozilla-central: 5
* mozilla-inbound: 3

Platform breakdown:
* windows10-64-stylo-disabled: 8
* windows10-64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-09-30&endday=2017-09-30&tree=all

Comment 31

17 days ago
78 failures in 885 pushes (0.088 failures/push) were associated with this bug in the last 7 days. 

This is the #24 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* autoland: 39
* mozilla-inbound: 22
* mozilla-central: 13
* mozilla-beta: 3
* try: 1

Platform breakdown:
* windows10-64: 47
* windows10-64-stylo-disabled: 30
* windows10-64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-09-25&endday=2017-10-01&tree=all

Comment 32

13 days ago
20 failures in 119 pushes (0.168 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 7
* mozilla-beta: 5
* mozilla-inbound: 4
* mozilla-central: 4

Platform breakdown:
* windows10-64-stylo-disabled: 9
* windows10-64: 9
* windows10-64-devedition: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-05&endday=2017-10-05&tree=all

Comment 33

11 days ago
34 failures in 102 pushes (0.333 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 22
* mozilla-inbound: 6
* mozilla-central: 4
* mozilla-beta: 2

Platform breakdown:
* windows10-64: 21
* windows10-64-stylo-disabled: 11
* windows10-64-nightly: 1
* windows10-64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-07&endday=2017-10-07&tree=all

Comment 34

10 days ago
109 failures in 824 pushes (0.132 failures/push) were associated with this bug in the last 7 days. 

This is the #15 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* autoland: 45
* mozilla-inbound: 29
* mozilla-central: 20
* mozilla-beta: 15

Platform breakdown:
* windows10-64: 62
* windows10-64-stylo-disabled: 40
* windows10-64-devedition: 5
* windows10-64-nightly: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-02&endday=2017-10-08&tree=all
Assignee: nobody → MattN+bmo
Status: NEW → ASSIGNED
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
$ ./mach test browser/base/content/test/alerts/ --verify
…
::: Test verification summary for:
:::
::: browser/base/content/test/alerts/browser_notification_close.js
::: browser/base/content/test/alerts/browser_notification_do_not_disturb.js
::: browser/base/content/test/alerts/browser_notification_open_settings.js
::: browser/base/content/test/alerts/browser_notification_remove_permission.js
::: browser/base/content/test/alerts/browser_notification_replace.js
::: browser/base/content/test/alerts/browser_notification_tab_switching.js
:::
::: 1. Run each test 10 times in one browser. : Pass
::: 2. Run each test 5 times in a new browser each time. : Pass
::: 3. Run each test 10 times in one browser, in chaos mode. : Pass
::: 4. Run each test 5 times in a new browser each time, in chaos mode. : Pass

Going to test this on try now…
Try push: https://treeherder.mozilla.org/#/jobs?repo=try&revision=39b1d9bcd84f434664b16823feead645c3a72ed3
Comment on attachment 8916804 [details]
Bug 1352791 - Use a pushPermissions helper for alerts b-c tests.

https://reviewboard.mozilla.org/r/187874/#review192950
Attachment #8916804 - Flags: review?(MattN+bmo) → review+

Comment 40

9 days ago
We're sorry, Autoland could not rebase your commits for you automatically. Please manually rebase your commits and try again.

hg error in cmd: hg rebase -s 0838676cb13b -d db3f44db75c5: rebasing 424898:0838676cb13b "Bug 1352791 - Use a pushPermissions helper for alerts b-c tests. r=MattN" (tip)
merging browser/base/content/test/alerts/browser_notification_open_settings.js
warning: conflicts while merging browser/base/content/test/alerts/browser_notification_open_settings.js! (edit, then use 'hg resolve --mark')
unresolved conflicts (see hg resolve, then hg rebase --continue)

Comment 41

9 days ago
Pushed by mozilla@noorenberghe.ca:
https://hg.mozilla.org/integration/mozilla-inbound/rev/314590a2d588
Use a pushPermissions helper for alerts b-c tests. r=MattN
Keywords: leave-open
18 failures in 146 pushes (0.123 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 7
* mozilla-inbound: 5
* try: 4
* mozilla-central: 2

Platform breakdown:
* windows10-64-stylo-disabled: 12
* windows10-64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-09&endday=2017-10-09&tree=all
https://hg.mozilla.org/mozilla-central/rev/314590a2d588
Status: ASSIGNED → RESOLVED
Last Resolved: 9 days ago
status-firefox58: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla58
This still fails, see e.g. https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=42bcbbdc84f22bdd0960177066fad4382d3545bc&filter-searchStr=e24e60c8800583f0b2244cd004b846a1c6445433
Merge happened an hour before that.
Status: RESOLVED → REOPENED
Flags: needinfo?(MattN+bmo)
Resolution: FIXED → ---
Looks like I fixed the problem for Windows 10 but not for Windows 7. Here's another potential fix on try:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=d711334ba5b441d18cd8d42f4937eb2306ec71d6
Flags: needinfo?(MattN+bmo)
Try is all green so far on Windows 7 so I'm retriggering more.
Status: REOPENED → ASSIGNED
This still failed a few times but I'll push it anyways as it can help with a race between the "show" event dispatching and the event listener being added.
Keywords: leave-open
Assignee: MattN+bmo → nobody
Status: ASSIGNED → NEW
status-firefox58: fixed → affected
Priority: P1 → P2

Comment 48

8 days ago
Pushed by mozilla@noorenberghe.ca:
https://hg.mozilla.org/integration/mozilla-inbound/rev/7b05d8b4e884
add show event listener immediately after showing in alerts head.js. r=MattN
19 failures in 171 pushes (0.111 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 13
* mozilla-central: 3
* autoland: 3

Platform breakdown:
* windows7-32: 18
* windows7-32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-10&endday=2017-10-10&tree=all
https://hg.mozilla.org/mozilla-central/rev/7b05d8b4e884
33 failures in 188 pushes (0.176 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 14
* autoland: 13
* try: 3
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 18
* windows7-32-stylo-disabled: 5
* windows10-64: 5
* windows10-64-stylo-disabled: 4
* windows10-64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-11&endday=2017-10-11&tree=all
Blocks: 1399401
171 failures in 947 pushes (0.181 failures/push) were associated with this bug in the last 7 days. 

This is the #4 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* mozilla-inbound: 67
* autoland: 51
* mozilla-central: 34
* try: 14
* mozilla-beta: 5

Platform breakdown:
* windows10-64: 59
* windows10-64-stylo-disabled: 50
* windows7-32: 47
* windows7-32-stylo-disabled: 10
* windows10-64-devedition: 3
* windows7-32-nightly: 1
* windows10-64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-09&endday=2017-10-15&tree=all
42 failures in 129 pushes (0.326 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 21
* autoland: 14
* try: 4
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* windows10-64: 16
* windows10-64-stylo-disabled: 12
* windows7-32: 8
* windows7-32-stylo-disabled: 4
* windows10-64-devedition: 1
* osx-cross: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-16&endday=2017-10-16&tree=all

Comment 54

6 hours ago
17 failures in 139 pushes (0.122 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 9
* mozilla-inbound: 8

Platform breakdown:
* windows10-64: 8
* windows7-32: 5
* windows10-64-stylo-disabled: 3
* windows7-32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352791&startday=2017-10-18&endday=2017-10-18&tree=all
You need to log in before you can comment on or make changes to this bug.